package com.mvc.entity;

import java.util.Date;

public class TStkout {
    private Integer id;

    private String billCode;

    private Integer dayBillyIndex;

    private Integer stkoutNum;

    private Date stkoutTime;

    private String stkoutMan;

    private String stkoutSignImg;

    private String agentId;

    private String agentName;

    private String consigneeInfo;

    private String proofImgUrl;

    private String stkoutMemo;

    private String invaildFlag;

    private Date invalidTime;

    private String invalidMan;

    private String invalidBecause;

    private String taskBatchId;

    private String mcuVersion;

    private String finishedFlag;

    private Date finishedTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode == null ? null : billCode.trim();
    }

    public Integer getDayBillyIndex() {
        return dayBillyIndex;
    }

    public void setDayBillyIndex(Integer dayBillyIndex) {
        this.dayBillyIndex = dayBillyIndex;
    }

    public Integer getStkoutNum() {
        return stkoutNum;
    }

    public void setStkoutNum(Integer stkoutNum) {
        this.stkoutNum = stkoutNum;
    }

    public Date getStkoutTime() {
        return stkoutTime;
    }

    public void setStkoutTime(Date stkoutTime) {
        this.stkoutTime = stkoutTime;
    }

    public String getStkoutMan() {
        return stkoutMan;
    }

    public void setStkoutMan(String stkoutMan) {
        this.stkoutMan = stkoutMan == null ? null : stkoutMan.trim();
    }

    public String getStkoutSignImg() {
        return stkoutSignImg;
    }

    public void setStkoutSignImg(String stkoutSignImg) {
        this.stkoutSignImg = stkoutSignImg == null ? null : stkoutSignImg.trim();
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId == null ? null : agentId.trim();
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName == null ? null : agentName.trim();
    }

    public String getConsigneeInfo() {
        return consigneeInfo;
    }

    public void setConsigneeInfo(String consigneeInfo) {
        this.consigneeInfo = consigneeInfo == null ? null : consigneeInfo.trim();
    }

    public String getProofImgUrl() {
        return proofImgUrl;
    }

    public void setProofImgUrl(String proofImgUrl) {
        this.proofImgUrl = proofImgUrl == null ? null : proofImgUrl.trim();
    }

    public String getStkoutMemo() {
        return stkoutMemo;
    }

    public void setStkoutMemo(String stkoutMemo) {
        this.stkoutMemo = stkoutMemo == null ? null : stkoutMemo.trim();
    }

    public String getInvaildFlag() {
        return invaildFlag;
    }

    public void setInvaildFlag(String invaildFlag) {
        this.invaildFlag = invaildFlag == null ? null : invaildFlag.trim();
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getInvalidMan() {
        return invalidMan;
    }

    public void setInvalidMan(String invalidMan) {
        this.invalidMan = invalidMan == null ? null : invalidMan.trim();
    }

    public String getInvalidBecause() {
        return invalidBecause;
    }

    public void setInvalidBecause(String invalidBecause) {
        this.invalidBecause = invalidBecause == null ? null : invalidBecause.trim();
    }

    public String getTaskBatchId() {
        return taskBatchId;
    }

    public void setTaskBatchId(String taskBatchId) {
        this.taskBatchId = taskBatchId == null ? null : taskBatchId.trim();
    }

    public String getMcuVersion() {
        return mcuVersion;
    }

    public void setMcuVersion(String mcuVersion) {
        this.mcuVersion = mcuVersion == null ? null : mcuVersion.trim();
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag == null ? null : finishedFlag.trim();
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }
}